ADISENSE Host Library                         {#mainpage}
=====================

Introduction
------------
ADISENSE is a new product family from Analog Devices. The ADISENSE product
family provide complete, flexible and versatile measurement solutions for a wide
range of both compensated and uncompensated analog or digital sensors. The
ADSNS1000 is the first product in this portfolio. The ADSNS1000 module
seamlessly interfaces to temperature, pressure, humidity, acceleration and
multiple other sensors. The module has all the building blocks to excite,
measure and correct each sensor and generate an output in sensor related units
such as @degreesC, @degreesF, psi, \%RH for example. In conjunction with the
MeasureWare ecosystem, ADSNS1000 can be easily configured and optimised for the
sensor types selected to meet the accuracy and measurement times required.

The goal of the ADISENSE Host Library is to provide a high-level C/C++
Application Programming Interface to demonstrate correct usage of the ADSNS1000
module and simplify their integration with end-user application stacks.

Resources
---------
In the following sections, you will find more detailed information on the
ADSNS1000, ADISENSE Host Library API documentation, code examples,
and more:

- [ADSNS1000 Overview](doc/adsns1000.md) provides details on the
  features of the ADSNS1000 module
- [API Reference](@ref ADISENSE_Api) contains a detailed guide to the functions
  and datatypes provided on the ADISENSE Host Library API
- [Key Topics](doc/key_topics.md) offers more detailed information on a number of key
  topics such as processor configuration and dynamic characteristics
- [Porting Guide](doc/porting.md) includes useful information for anyone who wishes
  to port the ADISENSE Host Library to a new host processor platform
